/* whole site grid */

.grid-container {
  display: grid;
  grid-template-areas:
    "header "
    "main  "
    "footer";
  gap: 5px;
  min-height: 100vh;
  width: 100%;
}

.grid-container > footer,
.grid-container > header {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(249, 250, 250, 0.269);
  color: var(--col1);
  max-height: 12vh;
}
.grid-container > header {
  background-color: rgba(248, 248, 248, 0.128);
  justify-content: start;
  padding: 25px 0;
}
.header {
  grid-area: header;
  padding: 22px;
}
.main {
  grid-area: main;
  min-height: 80vh;
  max-width: 90vw;
}
.footer {
  padding: 10px;
  grid-area: footer;
  font-weight: bold;
  font-size: 1em;
}

/* main section grid */

main {
  display: grid;
  grid-template-areas:
    "inputgrid inputgrid"
    "placegrid placegrid"
    "tempnowgrid sungrid"
    "tempnowgrid sungrid"
    "foregrid foregrid"
    "mapgrid mapgrid";
  gap: 30px;
  max-width: 100vw;
  min-height: 80vh;
  padding: 0 10px;
  justify-content: center;
  align-items: center;
}
main > div,
main > section {
  color: var(--col4);
  border-radius: 20px;
  text-align: center;
}
.mapgrid {
  grid-area: mapgrid;
}
.map-image {
  border-radius: 20px;
  width: 90vw;
  box-shadow: var(--col5) 0px 3px 8px;
}
.foregrid {
  grid-area: foregrid;
}

/* inputgrid (search bar)*/
.inputgrid {
  grid-area: inputgrid;
  height: fit-content;
  margin: 25px auto;
  width: 90vw;
  background-color: var(--col4);
  box-shadow: var(--col5) 0px 3px 8px;
  & button {
    max-width: 20%;
    cursor: pointer;
    border-radius: 15px;
    padding: 10px 15px;
    font-weight: bold;
    font-size: 0.8em;
    border: none;
    background-color: var(--col3);
    color: var(--col1);
  }
  & button:hover {
    background-color: var(--col1);
    color: var(--col4);
  }

  & input {
    width: 70vw;
    border: none;
    color: var(--col1);
    font-size: 0.8em;
    font-weight: bolder;
    padding: 15px 20px;
    border-radius: 15px;
    background-color: var(--col4);
    margin-left: 0;
    outline: none;
  }
}
#postcode::placeholder {
  color: var(--col1);
  font-size: 1.2em;
  font-weight: light;
}

/* placegrid */
.placegrid {
  grid-area: placegrid;
  width: 90vw;
  font-size: 1em;
  padding: 5px;
  border-radius: 10px;
}
#county-post {
  display: flex;
  font-weight: bold;
  font-size: 1.5em;
  color: var(--col4);
}
#post-code {
  padding: 0 15px;
}

/* tempnowgrid */
.tempnowgrid {
  grid-area: tempnowgrid;
}
#current {
  background-color: var(--col1);
  color: var(--col4);
  text-align: center;
  width: 60vw;
  padding: 10px;
  border-radius: 20px;
  box-shadow: var(--col5) 0px 3px 8px;
}

.sungrid {
  max-width: 24vw;
  grid-area: sungrid;
  background-color: var(--col4);
  padding: 10px;
  color: var(--col1);
  box-shadow: var(--col5) 0px 3px 8px;
}

/* forecast */
.gridmain {
  display: grid;
  width: 90vw;
  grid-template-areas: "forehead forehead forehead forehead forehead ";
  grid-auto-flow: column;
  background-color: var(--col1);
  border-radius: 15px;
  min-height: 25vh;
  justify-content: center;
  align-items: center;
  box-shadow: var(--col5) 0px 3px 8px;
}

.forehead {
  grid-area: forehead;
}

.foreday {
  grid-area: "foreday foreday foreday foreday foreday foreday foreday ";
  padding-top: 0;
  margin-top: -10px;
  .dayofweek {
    font-size: 1em;
    font-weight: bold;
  }
  .dateofweek {
    padding-top: 12px;
    font-size: 1.1em;
    font-weight: bold;
  }
  .maxtemp {
    font-weight: bolder;
    font-size: 1.1em;
  }
  .mintemp {
    font-size: lighter;
    font-size: 1.1em;
  }
}
.gridmain {
  font-size: clamp(0.8rem, 1vw, 1.5rem);
  padding: 30px;
}

@media only screen and (min-width: 768px) {
  main {
    display: grid;
    padding: 10px;
    grid-template-areas:
      "inputgrid inputgrid"
      "placegrid placegrid"
      "tempnowgrid sungrid"
      "tempnowgrid sungrid"
      "foregrid mapgrid"
      "foregrid mapgrid";
  }
  .grid-container > header {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .grid-container {
    width: 100vw;
    margin: auto;
  }
  .inputgrid,
  .placegrid {
    width: 50vw;
    margin: auto;
    min-width: 500px;
  }
  .inputgrid input {
    width: 40vw;
    margin: auto;
  }
  .tempnowgrid,
  #current,
  .sungrid,
  .gridmain,
  .map-image {
    min-width: 280px;
    min-height: 280px;
    width: 25vw;
    height: 25vw;
    margin: 0 auto;
  }
  .tempnowgrid,
  #current,
  .sungrid {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .gridmain {
    padding: 0;
  }
}
